import Vue, { VNode } from 'vue';
import { BaseTableCol, RowspanColspan } from '../type';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    renderRow(): Array<VNode>;
}, unknown, {
    rowClass: import("../../common").ClassName | ((params: {
        row: import("../type").TableRowData;
        rowIndex: number;
    }) => import("../../common").ClassName);
    columns: BaseTableCol<import("../type").TableRowData>[];
    rowKey: string;
    rowspanAndColspanProps: RowspanColspan;
    rowData: any;
    index: number;
    current: number;
    provider: any;
}>;
export default _default;
